> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/salesforce/get-started/readme.md).

# Salesforce WebViewer

Enhance your web application with WebViewer, a JavaScript PDF library optimized for Salesforce. Easily integrate accurate document processing capabilities with this client-side library.

WebViewer is a pure client-side JavaScript library to annotate, view, and edit documents. The Salesforce-specific build of WebViewer can be easily integrated into your application as a Lightning Web Component and is optimized for Salesforce's 5MB static resource file size limit.

## Free Trial

WebViewer is a JavaScript PDF library that lets you start adding accurate, reliable, and fast document processing capabilities to your web application.

You can download WebViewer source files by clicking the Download button below or by following steps for No Code, Low Code, or Pro Code deployment to your Salesforce environment.

{% @apryse-download-button/apryse-download-button id="WebViewer\_web\_web" title="Download WebViewer Source Files" showVersion="true" %}

## Deploy WebViewer to Salesforce (Low Code)

{% embed url="<https://www.youtube.com/embed/NdRg-RnlC5g>" %}

Apryse’s fully supported WebViewer is part of Apryse SDK, trusted by thousands of innovative startups, governments, and Fortune 500 businesses (see [customers](https://apryse.com/customers)). Apryse technology is built from the ground up and is not dependent on any external third-party open-source software.

<a href="https://showcase.apryse.com" class="button primary">Launch Online Demo</a><a href="/salesforce/get-started/readme.md" class="button primary">Get started</a><a href="https://github.com/ApryseSDK/webviewer-samples/tree/main/webviewer-salesforce" class="button primary">Github sample</a>

## File Type Support

* PDF, PDF/A
* DOCX, XLSX, PPTX (MS Office software or licenses are **not** required)
* JPG, PNG
* XOD (requires removal of PDF and Office folders from the package)

## Browser Support

The Salesforce-specific build of WebViewer supports all [LWC supported browsers](https://help.salesforce.com/s/articleView?id=xcloud.getstart_browsers_sfx.htm\&type=5).

See our [browser support page](/web/what-is-webviewer/browser-support.md) for more details.

## Architecture

Learn how WebViewer is hosted in Salesforce, how to use WebViewer APIs in Salesforce, and how to pass data from Salesforce to WebViewer and vice versa.

The following diagram depicts the architecture of WebViewer within a LWC component used in our [sample repository](https://github.com/ApryseSDK/salesforce-webviewer-attachments/):

![](https://306473577-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfmJo9lQOEYOFBgOyFp26%2Fuploads%2Fgit-blob-911f364d2fe445683e440269ba61af523f90f0a7%2F4aef6c7e1056dc0acb4525d8e89adaca6801bbc9-3446x1990.png?alt=media)

You can check out this [GitHub Repo](https://github.com/ApryseSDK/salesforce-webviewer-attachments/) to see an example of WebViewer architecture in Salesforce. Feel free to clone this project to accelerate development for your implementation.

## Guides

Here are some guides to help with using some of our key features in WebViewer.

### Opening a Document Saved In Salesforce

[Opening Documents In Salesforce](/salesforce/open-save/opening-documents-salesforce.md)

### Saving Document Annotations in Salesforce

[Saving Annotations In Salesforce](/salesforce/annotations/saving-documents-salesforce.md)

### Document Search in Salesforce

[Document Search In Salesforce](/salesforce/search/searching-documents-salesforce.md)

### Document Redaction in Salesforce

[Document Redaction In Salesforce](/salesforce/redaction/redacting-documents-salesforce.md)

### Replace Document Text in Salesforce

[Replace Text in Salesforce](/salesforce/content-edit/replacing-content-salesforce.md)

## Related blogs

[Updating the WebViewer Version in Salesforce](https://apryse.com/blog/salesforce/updating-webviewer-version) - 10/10/24

[Getting Familiar with WebViewer in Salesforce](https://apryse.com/blog/salesforce/customizing-webviewer-in-salesforce) - 10/9/24

[Getting started with WebViewer in Salesforce](https://apryse.com/blog/salesforce/getting-started-with-webviewer-in-salesforce) - 10/3/24

[Advance Salesforce Case Management Capabilities with Apryse WebViewer](https://apryse.com/blog/salesforce-case-management-capabilities-in-webviewer) - 8/30/24

[Extend Case Management Capabilities with a Salesforce Lightning Web Component for Document Processing](https://apryse.com/blog/salesforce-case-management-capabilities-with-apryse) - 8/21/24

[How to Add a PDF or MS Office Document Viewer to Salesforce as a Lightning Web Component](https://apryse.com/blog/webviewer/docx-and-pdf-editing-in-salesforce) - 8/15/24


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/salesforce/get-started/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
